
D4Science Infrastructure - Task #5590

DataMiner as Generic Worker

Oct 27, 2016 06:32 PM - Gianpaolo Coro

Status: Closed Start date: Nov 03, 2016

Priority: Urgent Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Target version: Dataminer and StatMan provisioning   

Infrastructure: Production   

Description

DataMiner should substitute the Generic Workers already from r4.1.0. The old GW should be shutdown. Three DataMiner are

required for the moment(with the machine features of the previous GWs). A new cluster is required too for these DMs named:

dataminer.genericworkers.d4science.org

Subtasks:

Incident # 5638: Check data availability through URI Resolver Rejected

Incident # 5645: Service EP Retrieval issue Closed

Related issues:

Related to D4Science Infrastructure - Incident #5634: Wrong IC client library... Closed Nov 03, 2016

History

#1 - Oct 27, 2016 06:37 PM - Andrea Dell'Amico

Gianpaolo Coro wrote:

dataminer.genericworkers.d4science.org

 

dataminer-genericworkers.d4science.org

#2 - Oct 27, 2016 06:42 PM - Andrea Dell'Amico

Can you confirm that these are the VMs that we can destroy?

node3.d4science.org

node[11:13].d4science.org

node16.d4science.org

node18.d4science.org

node23.d4science.org

node24.d4science.org

node[27:38].d4science.org

node[43:45].d4science.org

node[47:56].d4science.org

node[60:61].d4science.org

node64.d4science.org

#3 - Oct 27, 2016 06:48 PM - Gianpaolo Coro

yes!

#4 - Oct 28, 2016 02:15 PM - Andrea Dell'Amico

So, 3GB of ram, 2 CPUs, 12 GBs of disk (but I'll make them bigger, the R packages and dataminer occupy a lot of space).

Same list of R packages? and quickrank too?

#5 - Oct 28, 2016 02:17 PM - Gianpaolo Coro

Yes to all.

#6 - Oct 28, 2016 05:11 PM - Andrea Dell'Amico

The expanded list of generic workers that will be terminated:
node3.d4science.org

node11.d4science.org

node12.d4science.org

node13.d4science.org

node16.d4science.org

node18.d4science.org

node23.d4science.org

node24.d4science.org

node27.d4science.org

node28.d4science.org

node29.d4science.org

node30.d4science.org

node31.d4science.org

node32.d4science.org

node33.d4science.org

node34.d4science.org

node35.d4science.org

node36.d4science.org

node37.d4science.org

node38.d4science.org

node43.d4science.org

node44.d4science.org

node45.d4science.org

node47.d4science.org

node48.d4science.org

node49.d4science.org

node50.d4science.org

node51.d4science.org

node52.d4science.org

node53.d4science.org

node54.d4science.org

node55.d4science.org

node56.d4science.org

node60.d4science.org

node61.d4science.org

node64.d4science.org

#7 - Oct 31, 2016 04:53 PM - Andrea Dell'Amico

One more question: can I have the list of scopes where those servers will be available?

#8 - Nov 02, 2016 01:51 PM - Andrea Dell'Amico

- Status changed from New to In Progress

Hostnames and IPs are going to be:

dataminer1-genericworkers.d4science.org 146.48.122.39

dataminer2-genericworkers.d4science.org 146.48.122.86

dataminer3-genericworkers.d4science.org 146.48.122.151

#9 - Nov 02, 2016 03:43 PM - Gianpaolo Coro

These are services that should run in the production environment, thus the scopes should be the same as the other DataMiners.

#10 - Nov 02, 2016 05:04 PM - Andrea Dell'Amico

- % Done changed from 0 to 80

Provisioning is running. When ready, I'll update the haproxy configuration.

#11 - Nov 02, 2016 06:10 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

The three nodes are online. They are behind dataminer-genericworkers.d4science.org for both http and https.

#12 - Nov 02, 2016 06:32 PM - Gianpaolo Coro

Nothing responds to the indicated proxy (503 Service Unavailable), e.g.

http://dataminer-genericworkers.d4science.org/wps/WebProcessingService?Request=GetCapabilities&Service=WPS&gcube-token=26209520-6e2d-
http://dataminer-genericworkers.d4science.org/wps/WebProcessingService?Request=GetCapabilities&Service=WPS&gcube-token=26209520-6e2d-4850-9716-0b2bd37fd017


4850-9716-0b2bd37fd017

the single dataminers respond.

#13 - Nov 02, 2016 09:43 PM - Andrea Dell'Amico

Fixed. It works now.

#14 - Nov 03, 2016 11:43 AM - Gianpaolo Coro

I have some issues at testing, due to some IS client library problem.

#15 - Nov 03, 2016 02:41 PM - Gianpaolo Coro

- % Done changed from 100 to 80

#16 - Nov 03, 2016 02:43 PM - Andrea Dell'Amico

The library has been replaced on all the dataminer servers.

#17 - Nov 03, 2016 02:48 PM - Gianpaolo Coro

- Related to Incident #5634: Wrong IC client library versions on Nexus added

#18 - Nov 17, 2016 10:18 AM - Gianpaolo Coro

- Status changed from Feedback to Closed
